Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ConnectOptions

    java.lang.Object

      |

      +--oracle.ifs.common.ConnectOptions

public class ConnectOptions
extends java.lang.Object

ConnectOptions is a bucket of parameters that govern the behavior of `LibraryService.connect`.

Constructor Summary
`ConnectOptions()` Constructs a ConnectOptions.

Method Summary
`java.util.Locale` | `getLocale()` Gets the Locale of the new session.
`java.lang.String` | `getServiceName()` Gets the name of the service to which to connect.
`java.lang.String` | `getServicePassword()` Gets the service password.
`void` | `setLocale(java.util.Locale locale)` Sets the Locale of the new session.
`void` | `setServiceName(java.lang.String serviceName)` Sets the name of the service to which to connect.
`void` | `setServicePassword(java.lang.String servicePassword)` Sets the service password.

Constructor Detail

### ConnectOptions

    public ConnectOptions()
                   throws IfsException

  Constructs a ConnectOptions.
  Throws:
    `IfsException` - if the operation fails

Method Detail

### setServiceName

    public void setServiceName(java.lang.String serviceName)
                        throws IfsException

  Sets the name of the service to which to connect.
  Parameters:
    `serviceName` - the service name
  Throws:
    `IfsException` - if the operation fails

### getServiceName

    public java.lang.String getServiceName()
                                    throws IfsException

  Gets the name of the service to which to connect.
  Returns:
    the service name
  Throws:
    `IfsException` - if the operation fails

### setServicePassword

    public void setServicePassword(java.lang.String servicePassword)
                            throws IfsException

  Sets the service password.

  The service password is the password of the database schema containing the IFS database objects, and is needed only when connecting to a local (in-process) service that is not already running. If unspecified, the service attempts to connect to the database using the schema name (obtained from the service's properties file) as the schema password.

  Parameters:
    `servicePassword` - the service password
  Throws:
    `IfsException` - if the operation fails

### getServicePassword

    public java.lang.String getServicePassword()
                                        throws IfsException

  Gets the service password.
  Returns:
    the service password
  Throws:
    `IfsException` - if the operation fails

### setLocale

    public void setLocale(java.util.Locale locale)
                   throws IfsException

  Sets the Locale of the new session.

  Parameters:
    `locale` - the Locale
  Throws:
    `IfsException` - if the operation fails

### getLocale

    public java.util.Locale getLocale()
                               throws IfsException

  Gets the Locale of the new session.
  Returns:
    the Locale
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD